#
# Linux-postgres-specific configuration.
#

#
# Invoke the postgres-specific configuration. 
#
# We'll find it in the FigCommon directory.
# 

#$ cat /proc/meminfo
#        total:    used:    free:  shared: buffers:  cached:
#	Mem:  526127104 519618560  6508544        0 117166080 330891264
#	Swap: 263200768 93118464 170082304
#


my $fh;
if (open($fh, "</proc/meminfo"))
{
    while (<$fh>)
    {
	if (/^Mem:\s+(\d+)/)
	{
	    $OtherConfig->{memory} = $1;
	    last;
	}
    }

    close($fh);
}

if (open($fh, "</proc/sys/kernel/shmmax"))
{
    $_ = <$fh>;
    if (/^(\d+)$/)
    {
	$OtherConfig->{shmmax} = $1;
    }
}

$pg_script = "$ENV{FIGCONFIG_RELEASE_DIR}/FigCommon/envsub.postgres.pl";

run_script($pg_script);

